input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    margin: 0;
    width: 100%;
    height: 42px;
    outline: none;
    color: #5b3d38;
    box-shadow: none;
    font-weight: 400;
    font-size: size-rel(16px);
    line-height: size-rel(20px);
    padding: size-rel(10px) size-rel(16px);
    background: #fff;
    display: inline-block;
    vertical-align: middle;
    border: 1px solid #5b3d38;
    box-shadow: none;
    border-radius: $border-radius;
    @include placeholder(#909090);

    &::-ms-clear {
        display: none;
        width: 0;
        height: 0;
    }

    &:focus,
    &:active {
        outline: none;
        @include placeholder(transparent);
    }


    &.error {
        border-color: red !important;
    }

}

textarea.field {
    height: auto;
    resize: none;
}

.checkbox {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    position: relative;
    display: inline-block;

    &__input {
        top: 0;
        left: 0;
        opacity: 0;
        width: 1px;
        height: 1px;
        visibility: hidden;
        position: absolute;
    }

    &__label {
        color: #3a3a3a;
        font-size: 1.4rem;
        line-height: 2rem;
        position: relative;
        padding-left: 30px;
        display: inline-block;

        &::before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: 20px;
            height: 20px;
            display: block;
            position: absolute;
            border-radius: 2px;
            border: 1px solid #565656
        }

        &:after {
            top: 0;
            left: 0;
            z-index: 2;
            content: '';
            width: 20px;
            height: 20px;
            display: block;
            opacity: 0;
            visibility: hidden;
            position: absolute;
            background: #000;
        }
    }


    &__input:checked + .checkbox__label {

        &::before {
            border-color: #000;
        }

        &::after {
            opacity: 1;
            visibility: visible;
        }
    }

    &__input:disabled + .checkbox__label {
        opacity: 0.4;
    }

}

.form-group {
    margin-bottom: 30px;
}

.input-field {
    display: block;
    position: relative;
    background: transparent;
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

    &:after {
        left: 0;
        top: 18px;
        z-index: 1;
        display: block;
        color: #818285;
        font-weight: 500;
        position: absolute;
        font-size: size-rel(12px);
        line-height: size-rel(22px);
        content: attr(data-placeholder);
        transition: .2s;
    }

    i {
        top: calc(50% - 12px);
        right: 0;
        z-index: 1;
        width: 24px;
        height: 24px;
        padding: 2px;
        font-size: 20px;
        line-height: 20px;
        position: absolute;
        color: #B4B3B1;
        position: absolute;
    }

    &:hover {

        &:after {
            color: black;
        }
    }

    #{$input-selector} {
        width: 100%;
        z-index: 10;
        border: none;
        outline: none;
        display: block;
        font-weight: 500;
        color: #222734;
        position: relative;
        font-size: size-rel(12px);
        line-height: size-rel(22px);
        padding: 18px 0 11px 0;
        background: transparent;
        border-bottom: 1px solid #ccc;

        &::placeholder {
            //   color: #222734;
            color: transparent;
        }

        &:focus {
            border-bottom-color: #151D33;
        }

        &:focus::placeholder {
            color: transparent;
        }

        &:invalid {
            box-shadow: none;
        }

        &:disabled {
            color: #D0D0D0;

            &::placeholder {
                color: #D0D0D0;
            }
        }
    }

    //custom placeholder
    &_focus:not(&_has-value),
    &_has-value {
        &::after {
            top: 0px;
            left: 0 !important;
            color: #818285;
            font-weight: 500;
            font-size: size-rel(10px);
            line-height: size-rel(14px);
            transition: .2s;
        }
    }

    &_required {

        &::after {
            //   left: 10px;
        }

        &::before {
            //     content: "*";
            position: absolute;
            left: 0;
            top: 12px;
            display: none;
            color: brown;
        }

        #{$input-selector} {
            //     padding-left: 10px;
        }
    }

    &_success {

        #{$input-selector} {
            border-color: #151D33;
        }
        &:after {
            color: #151D33;
        }
    }

    &_error {

        #{$input-selector} {
            color: brown;
            border-bottom-color: brown;
        }

        &:after {
            color: #B2B2B2
        }
    }

    &__error-text {
        width: 100%;
        display: block;
        position: absolute;
        color: brown;
        font-weight: 500;
        padding-top: 5px;
        font-size: size-rel(10px);
        line-height: size-rel(14px);
    }

    .input-field-passview {
        z-index: 20;
        cursor: pointer;

        &.view {
            color: brown;
        }
    }

    .input-field-passview + #{$input-selector} {
        padding-right: 30px;
    }
}
